
          // initiate a UV Cleaning
          if( (srchptr=strstr(cbuf, "BAKE,")) != NULL ){

            if(strchr(srchptr, '?') != NULL){
              printf("NAK,BAKE,FormatErr\n");
              SCIRxFlush();
              continue;
              }

            i = gotVal = 0;
            srchptr = strtok(srchptr, ",");
            while( (srchptr = strtok(NULL, ",")) != NULL ){
              ++i;
              if(i == 1){
                input_var = strtoul(srchptr, &endptr, 10);
                if( errno == ERANGE ){
                  printf("NAK,BAKE,OverflowErr: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else if( (input_var == 0) && (endptr == srchptr) ){
                  printf("NAK,BAKE,ConvertErr: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else if( (input_var < 1) || (input_var > 90) ){
                  printf("NAK,BAKE,RangeErr [1,90]: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else
                  ++gotVal;
                }
              }

            if( (gotVal == 1) && (i != ERROR) ){
              printf("ACK,BAKE,CMD,%hu\n", (ushort)input_var);

              SCIRxFlush();
              if( SerGetsTmout(abuf, sizeof(abuf), GET_ACK_TIMEOUT) > 0 ){
                if( MatchACK(abuf) == ACK ){            // if ACK execute UV BAKE
                  if( LampPwrOn() == TRUE ){
                    DelaySecs( (ushort)input_var );    //BURN BABY BURN
                    printf("ACK,BAKE,STAT\n");
                    }
                  else
                    printf("NAK,BAKE,STAT\n");
                  LampPwrOff();
                  SCIRxFlush();
                  continue;
                  }
                }

              sprintf(ebuf, "BAKE Command ACK Failure");
              LogErrorMsg(ebuf, (int)COMMAND_ACK_FAILURE, sys_message_enable);

              SCIRxFlush();
              continue;
              } // end gotVal1 if
            else{
              if(i != ERROR)
                printf("NAK,BAKE,FormatErr\n");

              SCIRxFlush();
              continue;
              }

            } // end set ISUS BAKE if


